screen = {
		w = love.graphics.getWidth(),
		h = love.graphics.getHeight()
	}

--Loading Classes
require "color"
require "controls"
require "game"
require "snake"

--Gamestates
local state = {
		game = "game",
		menu = "menu"
	}

--Some stuff 
local deb = true --debug

--Setup
gamestate = state.game
love.graphics.setBackgroundColor(color.background)


function love.load()
	game.reset()
end

function love.update(dt)
	if gamestate == state.game then
		game.update(dt)
	elseif gamestate == state.menu then
	
	end
end

function love.draw()
	if gamestate == state.game then
		game.draw()
	elseif gamestate == state.menu then
	
	end
	
	--Debug
	if deb then
		local debug_string = "fps: "..love.timer.getFPS().."\ngame_paused: "..tostring(game_paused).."\nSnake x["..snake.x.."] y["..snake.y.."]"
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.print(debug_string, 12, 12)
	end
end

function love.keypressed(key)
	if key == "escape" and deb then love.event.push("quit") end
	
	
	if gamestate == state.game then
		game.keypressed(key)
	elseif gamestate == state.menu then
	
	end
end

